@font-face {
    font-family: "Handjet medium";
    src: url(fonts/Handjet-Medium.ttf) format("truetype");
}
@font-face {
    font-family: "Handjet bold";
    src: url(fonts/Handjet-Bold.ttf) format("truetype");
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Handjet medium", sans-serif;
}

.container {
    width: 100%;
    min-height: 100vh;
    background: linear-gradient(125deg, rgba(246, 159, 183, 1) 0%, rgb(202, 143, 226) 58%, rgb(150, 98, 161) 100%);
    padding: 10px;
}

.progress-date-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    gap: 20px;
}

.progress-bar-wrapper {
    flex: 3;
    width: 100%;
    max-width: 300px;
    height: 40px;
    background-color: #ebcbcd;
    border-radius: 20px;
    overflow: hidden;
    border: 2px solid #bb5673;
    box-shadow: 2px 2px 8px #ebcbcd;
}
.progress-bar-wrapper h3 {
    position: absolute;
    margin-left: 10px;
    font-size: 18px;
    color: rgb(250, 230, 235);
    padding: 6px;
}

#progress-bar {
    width: 0;
    height: 100%;
    background: linear-gradient(90deg, #c898e6, #ec78c7);
    transition: width 0.4s ease;
    border-radius: 10px 0 0 10px;
}

#current-date {
    flex: 1;
    max-width: 180px;
    font-size: 18px;
    font-family: "Handjet bold", sans-serif;
    color: #ec7899;
    text-shadow: 2px 2px 10px #f7a4f7;
    text-align: left;
    background-color: #ebcbcd;
    border-radius: 20px;
    padding: 10px;
    border: solid 2px #ce7890;
    box-shadow: 2px 2px 8px #ebcbcd;
}

.todo-app {
    width: 100%;
    max-width: 500px;
    margin: 100px auto 20px;
    background-image: url(images/cat.jpg);
    background-size: cover;
    background-position: center;
    padding: 40px 30px 70px;
    border-radius: 10px;
    border: 5px solid #7d5383;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.1);
}

.todo-app h2 {
    color: #7a3f72;
    display: flex;
    align-items: center;
    margin-bottom: 25px;
    font-size: 35px;
}
.todo-app h2 img {
    width: 30px;
    margin-left: 10px;
}

.row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(234, 186, 189, 0.8);
    border-radius: 30px;
    border: solid 3px #b85fac;
    padding-left: 20px;
    margin-bottom: 25px;
}

input{
    flex: 1;
    border: none;
    outline: none;
    background: transparent;
    padding: 10px;
    font-weight: 14px;
}
button {
    background: #cf78ec;
    color: #fff;
    border: none;
    outline: none;
    padding: 16px 50px;
    cursor: pointer;
    font-size: 18px;
    border-radius: 40px;
    transition: transform 0.2s ease;
}
button:hover{
    transform: scale(1.08);
}

ul li{
    list-style: none;
    font-size: 17px;
    padding: 12px 8px 12px 50px;
    user-select: none;
    cursor: pointer;
    position: relative;
    font-family: "Handjet bold", sans-serif;
    color: #7a3f72;
}

ul li::before {
    content: '';
    position: absolute;
    height: 28px;
    width: 28px;
    border-radius: 50%;
    background-image: url(images/unchecked.svg);
    background-size: cover;
    background-position: center;
    top: 12px;
    left: 8px;
}

ul li.checked{
    color: #664e4f;
    text-decoration: line-through;
    animation: bounce 0.6s ease;
}

@keyframes bounce{
    0% { transform: scale(1);}
    30% { transform: scale(1.1);}
    50% { transform: scale(0.9);}
    100% { transform: scale(1);}
}

ul li.checked::before {
    background-image: url(images/checked.svg);
}

ul li span{
    position: absolute;
    right: 0;
    top: 5px;
    width: 40px;
    height: 40px;
    font-size: 22px;
    color: #555;
    line-height: 40px;
    text-align: center;
    cursor: pointer;
    border-radius: 50%;
}

ul li span:hover {
    color: #EC7899;
    background: #ebcbcd;
}

